using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication16
{
    class Program
    {
        static void citaj(int[] x, int n)
        {
            int i;
            string[] r = Console.ReadLine().Split();
            for (i = 0; i < n; i++)
            {
                x[i] = int.Parse(r[i]);
            }
        }
        static int rad(int[] x, int n, int v)
        {
            int i;
            for(i=0; i< n; i++)
            {
                if (v >= x[i])
                    return i + 1;
            }
            return -1;
        }
        static void Main(string[] args)
        {
            string[] r = Console.ReadLine().Split();
            int n = int.Parse(r[0]), v = int.Parse(r[1]);
            int[] x = new int[n];
            citaj(x, n);
            Console.WriteLine(rad(x, n, v));
            Console.ReadLine();
        }
    }
}